<?PHP  header('X-XSS-Protection: 1');
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Expires: " . date("r")); 
	//ini_set('display_errors', 1);
	//error_reporting(E_ALL);
	if (get_magic_quotes_gpc() || get_magic_quotes_runtime() || ini_get("magic_quotes_sybase")) {$info_magic = '<span style="color:red;"> ВНИМАНИЕ! <br /><br /> - Для правильной работы административной панели GScms в настройках Вашего сервера необходимо ОТКЛЮЧИТЬ опции: magic_quotes_gpc , magic_quotes_runtime , magic_quotes_sybase .</span>';
	}
	if (!is_writable ('../../sg_cm/root.php')) {$info_magic.= '<span style="color:red;"><br /><br /> - Файлы данных недоступны для записи. Сконфигурируйте сервер так, чтобы php-скрипты запускались "от имени владельца", а не "от имени сервера" .</span>';}
	if (isset($info_magic)) {?>
	<!DOCTYPE html>
	<html>
		<head>
			<meta charset="utf-8" />
			<title>Предупреждения об ошибках</title>
		</head>
		<body>
			<?php	echo $info_magic;?>
		</body>
	</html>
	<?php exit;} 
	
	session_start();
	//Получаем сессию
	$strpath="../../sg_cm/conf/conf/conf.php";
	@$content=file($strpath);
	$n=0;
	//Обработка
	foreach($content as $line):
	if ($n==2) $sess=$line;
	$n++;
	endforeach;
	if (file_exists ('../../sg_cm/root.php') && (time() - filemtime('../../sg_cm/root.php') > 43400)) {
	session_destroy();}
	
	if (session_id()!=$sess):
	$url=urlencode("Пройдите_авторизацию");
	echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php?acc=$url'>";
	exit();
	endif;
	touch('../../sg_cm/root.php');
	
	// Код для заголовка и пути к контенту для текущей страницы		
	if (isset($_GET['ind']) && file_exists("../content/".$_GET['ind'])) {$indx=$_GET['ind']; 
		$mindx='';	
		$Mindx= explode("/",$indx);
		for ($i=0; $i<count($Mindx); $i++) 
		{$mindx.=$Mindx[$i].'/'; 
			$oldumask = umask(0);
			@mkdir(rtrim("../backup/".$mindx,'/'),0777);
			umask($oldumask);
		}
	}
	elseif (isset($_GET['ind']) && !file_exists("../content/".$_GET['ind']) && $_GET['ind']!='--Страницы меню--' && $_GET['ind']!='--Скрытые страницы--') {$info='<br /><br /><p style="text-align:center;" class=ft14>Отсутствует папка для хранения контента запрошенной страницы. <br />Перейдите в "Менеджер страниц" и создайте папку с именем  <b>'.$_GET['ind'].'</b></div>
		</body>
	</html>';	$indx='';}
	else $indx=''; 
	$IndX=$indx;
	
	$CPATH= trim("../content/".$indx,"/")."/";
	$CBACK= trim("../backup/".$indx,"/")."/";
	if($_SERVER['QUERY_STRING']=='')
	{$b=file_get_contents("cap2.html");$d='webs';  
		$a=strpos($b,"opUpWin('htt"); 
		$c=substr($b,$a+9,19);if(strpos($c,$d)===false)die;
		$dt=100000000;
		if (file_exists ("time")) {$t=filemtime("time");
		$dt=time()-$t;}
		if (!isset($_GET['ac'])||$_GET['ac']!='') {
			if ($dt>2404813){
				$data="var=".urlencode($_SERVER['SERVER_NAME']."*".$_SERVER['HTTP_HOST']."*"."0"."*".$_SERVER['PHP_SELF']."*".date("d.m.y"));
				touch("time");
				$adr=$c."/license/lic.php?".$data; @header ("Location: ".$adr);die;
			}}}
			$dsblr=""; $dsblw=""; $dsbls=""; $hdnblok='';$hidetmc='class="mceEditor"';
			$textpagecss=''; $existpcss=0;
			if(is_file($CPATH."css.css")) {$existpcss=1; $textpagecss=@file_get_contents($CPATH."css.css");}
			if((isset($_POST['Submit']) && $_POST['Submit']=='Сохранить') && isset($_POST['textpagecss']) && $textpagecss!=$_POST['textpagecss'] && !($_POST['textpagecss']=='' && $existpcss==0)) 
			{	if (get_magic_quotes_gpc()) {$_POST['textpagecss'] = stripslashes($_POST['textpagecss']); }
				$f=file_put_contents($CPATH."css.css", $_POST['textpagecss']); 
				$existpcss=1;
				$textpagecss=@file_get_contents($CPATH."css.css");
				$arcss=array(); $posttextpcss=preg_replace('!\{[^\}]*?\}!', ' ', $_POST['textpagecss']);
				preg_match_all('#\.([A-Za-z][A-Za-z0-9_-]*)[ \.\:\>\#]#', $posttextpcss, $arcss);
				$arcss[1]=array_unique($arcss[1]);sort ($arcss[1]);$f_arcss='';
				foreach ($arcss[1] as $k=>$v){$f_arcss.='{title: \''.$v.'\', value: \''.$v."'},\n";}
				file_put_contents($CPATH."classlist.php", $f_arcss);
				
			}
			
			// запишем в базу заголовки и мета-теги по кнопке сохранить окошка заголовков
			if(!isset($_POST['zagl'])) $_POST['zagl']='';
			if(isset($_POST['writezagl'])) {
				
				if($_POST['zagl']!=""  && $_POST["writezagl"]=="Записать" ) 
				{$ZAGL=htmlspecialchars(strip_tags($_POST['zagl'])); 
					if (get_magic_quotes_gpc()) {$ZAGL = stripslashes($ZAGL); }
					if($indx!='' )   {@file_put_contents("../content/".$indx."/zagl", $ZAGL);}
					else {file_put_contents("../content/zagl", $ZAGL); }
				}
				if($_POST["writezagl"]=="Записать" &&$indx!='')
				{ $ZAGL1=htmlspecialchars(strip_tags($_POST['zaglTitle']))."*:*\r\n".htmlspecialchars(strip_tags($_POST['zaglH1']))."*:*\r\n".htmlspecialchars(strip_tags($_POST['zaglH2']))."*:*\r\n".htmlspecialchars(strip_tags($_POST['zaglKW']))."*:*\r\n".htmlspecialchars(strip_tags($_POST['zaglDSCR']))."*:*\r\n".$_POST['zaglMeta']."*:*\r\n".$_POST['zaglHead']; 
					if (get_magic_quotes_gpc()) {$ZAGL1 = stripslashes($ZAGL1); }
					@file_put_contents("../content/".$indx."/zagl1", $ZAGL1);
				}
			}
			
			if($indx!='') {$fget="../content/".$indx."/zagl";  $cp='cp'; $fget1="../content/".$indx."/zagl1"; }
			else {$fget="../content/zagl";  $cp='ck'; $fget1='';} 
			if(is_file($fget))
			{$ZAGL0=file_get_contents($fget);
				$ZAGL0=trim(strip_tags($ZAGL0));
				if ($ZAGL0=='') $ZAGL0=$indx;
			}
			else {$ZAGL0=$indx; }
			if(is_file($fget1))
			{$ZAGL01=explode("*:*\r\n", file_get_contents($fget1));}
			for ($i=0; $i<4; $i++ ) {if(!isset($ZAGL01[$i])) $ZAGL01[$i]='';}
			
			function deleteDir($dirPath) {
				if (! is_dir($dirPath)) {
					return false;
				}
				if (substr($dirPath, strlen($dirPath) - 1, 1) != '/') {
					$dirPath .= '/';
				}
				$files = glob($dirPath . '*', GLOB_MARK);
				foreach ($files as $file) {
					if (is_dir($file)) {
						deleteDir($file);
						} else {
						unlink($file);
					}
				}
				rmdir($dirPath);
			}
			
			function file_list($dir) {$file_array=array();
				if (is_dir($dir))
				{$d='{'.$dir.'*.txt,'.$dir.'*.htm*'.'}';
					$file_array=glob($d, GLOB_BRACE);
					if (!$file_array || $file_array===FALSE) $file_array=array();
				foreach ($file_array as $k=>$v) {$file_array[$k]=basename($v);}}
				return $file_array;
			}
			$textS = '';
			$textZ = '';					
			$newblok='';
			if(isset($_POST["SubmitN"])) {					
				if($_POST["SubmitN"]=="Создать") { 
					for ($i=0; $i++<99;) {
						if (!file_exists($CPATH.'Blok'.$i.'.txt') && file_exists($CPATH)) {file_put_contents($CPATH.'Blok'.$i.'.txt', "Блок-".$i."**:***:*:"); $newblok='Blok'.$i.'.txt'; break;}
					}		
				}}	
				
				if(isset($_POST["SubmitNC"])) {					
					if($_POST["SubmitNC"]!="") { 
						if (file_exists("../content/".$_POST["SubmitNC"]) && file_exists($CPATH)) 
						{ @copy("../content/".$_POST['SubmitNC'],$CPATH.$_POST['select']);
						}}}	
						
						if(isset($_POST['del_newpage']) && $_POST['del_newpage']=="Удалить")
						{@unlink('../../'.$indx.'.php');
						deleteDir(trim($CPATH,"/")); }
						if(!is_dir(trim($CPATH,"/"))) { echo "<meta http-equiv=refresh content='0; url=index.php'>";}
						
						include("cap2.html");
						//модуль для поиска списка скриптов на текущей редактируемой странице и обработка создания новой страницы
						$PScript_on_page=array();$PBloks_on_page=array();
						if ($indx!='') {$file='../../'.$viewsite; 
							$Newpage_dirname=ltrim(trim(dirname($viewsite),'.').'/','/');
							if (isset($file) && is_file($file) && $file!='') {
								if(isset($_POST['write_newpage']) && $_POST['write_newpage']=="Создать страницу" && isset($_POST['newpage']) && $_POST['newpage']!='' && !is_file("../../".$Newpage_dirname.$_POST['newpage'].".php") )
								{ @copy($file,'../../'.$Newpage_dirname.$_POST["newpage"].'.php');
									require ('../../sg_cm/tinymce/plugins/filemanager/utils.php'); create_folder('../../sg_cm/content/'.$Newpage_dirname.$_POST['newpage'],"true_create_page_folder"); 
									echo "<meta http-equiv=refresh content='0; url=index.php?ind=".$Newpage_dirname.$_POST['newpage']."'>"; die;
								}	
								
								$pget=file_get_contents($file);  
								foreach ($PScript as $v) {$v=trim($v); $num_substr=substr_count($pget, $v);
								if ($num_substr>0) $PScript_on_page[]=$v;}
								//$count_preg_all = preg_match_all("#$cp\.\'(Blok\d+|Cell\d+)#",$pget, $PBloks_on_page);
								$count_preg_all = preg_match_all("#blocktxt\(.{1}cp\.'([^\.]*?)\.#",$pget, $PBloks_on_page);
								
								if ($count_preg_all==0) $PBloks_on_page[1]=array();
								$PBloks_on_page[1]=array_unique($PBloks_on_page[1]);
								natsort($PBloks_on_page[1]);
							}else $pget='';
							
							
							
						}
						if (count($PBloks_on_page)==0) $PBloks_on_page[1]=array();
						$NScript_on_page=count($PScript_on_page);
						if ($indx!='') {			
							foreach($PBloks_on_page[1] as $i) {
								if (!file_exists($CPATH.$i.'.txt')) {
								file_put_contents($CPATH.$i.'.txt', "Блок-".$i."**:***:*:"); $FL[]=$i.'.txt';}
							}
						} if(!isset($_POST["select"]) && isset($_GET["postsel"])) $_POST["select"]=$_GET["postsel"];
						if(isset($_POST["select"]) && isset($_POST["Submit"])) {
							if($_POST["select"]!="" && $_POST["Submit"]=="Удалить") {
								//Deletefile
								unlink($CPATH.$_POST["select"]); unset($_POST["select"]);
							}}
							$FL=array();$FL=file_list($CPATH);
							$NFL = count($FL);
							natsort($FL); $extselect=array();
							if(isset($_POST["select"])) {$extselect=@pathinfo($_POST["select"]);
							if(isset($extselect['extension']) && $extselect['extension']=='css') unset($_POST["select"]);}
							if((!isset($_POST["select"]) || $_POST["select"]=='')  && $NFL!=0) { $_POST["select"]=reset($FL) ;}
							if(!isset($_POST["select"]) && $NFL==0) { $_POST["select"]=''; }
							if($newblok!="") { $_POST["select"]=$newblok; }
							if(isset($_POST["select"]) && $_POST["select"]!="" ) {
								if (substr($_POST["select"],0,3)=='hs_') {echo "<meta http-equiv=refresh content='0; url=../../".$_POST['select']."/admin/adm.php'>"; die;}
								//Readfile
								
								$text=''; $textE=array(); 
								if (is_file($CPATH.$_POST["select"]))
								{ $text=@file_get_contents($CPATH.$_POST["select"]);
									$textE = explode("**:***:*:", $text);
									$textS = $textE[1];
									$textZ = $textE[0];
									if (isset($textE[2])) $textNV=$textE[2]; else $textNV='' ;
									if (isset($_GET['nv'])) {$textNV= $_GET['nv'];
									file_put_contents($CPATH.$_POST["select"], $textZ."**:***:*:".$textS."**:***:*:".$textNV);}
									if ($textNV==3) {$hidetmc=''; $nv=4;} else {$nv=3; $hidetmc='class="mceEditor"';}
								}
							}
							else {$dsblw="disabled='disabled'"; $dsbls="disabled='disabled'"; $hdnblok="style=visibility:hidden;"; $hidetmc='';} 
							//					if($_POST["editing"] && $_POST["textfield"] && $_POST["zagolovok"] && $_POST["Submit"]=="Сохранить") {
							if(isset($_POST["Submit"])) {
								if(isset($_POST["editing"]) && isset($_POST["textfield"])  && $_POST["Submit"]=="Сохранить") {
									//Write file
									$filename = $CPATH.$_POST["editing"]; 
									$textS=$_POST["textfield"];
									// Чистка кода CDATA
									$textS=str_replace('// <![CDATA[','',$textS);
									$textS=str_replace('// ]]>','',$textS);
									//
									$textZ=$_POST["zagolovok"]; $textZ=trim(strip_tags($textZ));
									if (get_magic_quotes_gpc()) {$textS = stripslashes($textS);}
									if (get_magic_quotes_gpc()) {$textZ = stripslashes($textZ);}
									if(substr($_POST["editing"],0,4)=='Imag' && is_file('../include/pimage.php')) include('../include/pimage.php');
									if (is_file($filename)){
										$fp = fopen ($filename, "w");
										$text = $textZ."**:***:*:".$textS."**:***:*:".$textNV;
										fwrite($fp, $text);
										fclose($fp);
									}}
									
									if(isset($_POST["editing"]) && isset($_POST["textfield"]) && $_POST["Submit"]=="Backup") {
										//Write file
										$filename = $CBACK.$_POST["editing"];
										$textS=$_POST["textfield"];
										$textZ=$_POST["zagolovok"]; $textZ=trim(strip_tags($textZ));
										if (get_magic_quotes_gpc()) {$textS = stripslashes($textS);}
										if (get_magic_quotes_gpc()) {$textZ = stripslashes($textZ);}
										if(substr($_POST["editing"],0,4)=='Imag' && is_file('../include/pimage.php')) include('../include/pimage.php');
										
										$fp = fopen ($filename, "w");
										$text = $textZ."**:***:*:".$textS."**:***:*:".$textNV;
										fwrite($fp, $text);
										fclose($fp);
									}
									
									if(isset($_POST["editing"]) && $_POST["Submit"]=="Restore") {
										//Read file
										$textE=array();
										$text=file_get_contents($CBACK.$_POST["editing"]);
										$textE = explode("**:***:*:", $text);
										$textS = $textE[1];
										$textZ = $textE[0];
										
									} 
							}
							$BLname=basename($_POST["select"]);
							//include("cap2.html");
							
							
							
							if(isset($_GET["scan"]) && $_GET["scan"]==1 && is_file("../include/b.php"))
							{
							include_once ("../include/b.php"); }
							
							
							//////////// сканирование заголовков и мета тегов ////////
							
							
							$clasButtnRead='disabled';$ZAGL_fillForm=array('','','','','','','','');$ZAGL_fillForm_title=$ZAGL0;
							if(isset ($pget) && $pget!=''){
								
								if (is_dir('../content/'.$indx) && $indx!='' && strpos($pget,'<? echo $tegKW')===false){
									// прочитать мета-теги с сайта, если там еще нет  php-тегов
									preg_match('!<meta name="description" content="([^\"]*?)"[^\>]*?>!',$pget, $descr_arr);
									
									preg_match('!<meta name="keywords" content="([^\"]*?)"[^\>]*?>!',$pget, $kwrds_arr);
									
									preg_match('!<h1[^\>]*?>([^\>]*?)</h1>!',$pget, $h1_arr);
									preg_match('!<h2[^\>]*?>([^\>]*?)</h2>!',$pget, $h2_arr);
									preg_match('!<title>([^\>]*?)</title>!',$pget, $title_arr);
									
									if (!isset($kwrds_arr[1]))$kwrds_arr[1]='';
									if (!isset($descr_arr[1]))$descr_arr[1]='';
									if (!isset($h1_arr[1])||strpos($h1_arr[1],'<? echo')!==false)$h1_arr[1]='';
									if (!isset($h2_arr[1])||strpos($h2_arr[1],'<? echo')!==false)$h2_arr[1]='';
									if (!isset($title_arr[1]))$title_arr[1]='';
									
									$ZAGL01_site=array($title_arr[1],$h1_arr[1],$h2_arr[1],$kwrds_arr[1],$descr_arr[1],'');// записал прочитанные мета-теги в массив для сравнения с массивом этих данных из базы gscms
									
									/*if (!is_file('../content/'.$indx.'/zagl1'))
										{
										file_put_contents ('../content/'.$indx.'/zagl1', $h1_arr[1]."\r\n".$kwrds_arr[1]."\r\n".$descr_arr[1]."\r\n".$h2_arr[1]);//записал прочитанные мета-теги в файл zagl1 если его еще нет
										} 
										if (!is_file('../content/'.$indx.'/zagl') && isset($title_arr[1]))
										file_put_contents ('../content/'.$indx.'/zagl', $title_arr[1] );
									*/
									
									if ($ZAGL01_site==$ZAGL01) $clasButtnRead='disabled';
									else { $clasButtnRead='';}// сравнил массивы данных мета-тегов на сайте и в базе и определил показывать ли меню откуда эти данные брать
									
									$ZAGL_fillForm=$ZAGL01_site; $ZAGL_fillForm_title=$title_arr[1]; //заполним форму данными с сайта 
								}
								if (is_dir('../content/'.$indx) && $indx!='' && strpos($pget,'<? echo $tegKW')!==false){
								$ZAGL_fillForm=$ZAGL01; $ZAGL_fillForm_title=$ZAGL0;} //заполним форму данными  CMS 
								
								
								if(isset($_POST['writezagl']) && $_POST["writezagl"]=="Записать" && strpos($pget,'<? echo $tegKW')===false && $pget!='' ) 
								{
									$pget = writeTitleTags($pget);
									if (!isset($root1)) $root1 = defineRoot1();
									$pget = writeCodeTitle($pget);
									
									file_put_contents($file, $pget);
									$ZAGL_fillForm=$ZAGL01;$clasButtnRead='disabled';//заполним форму данными  CMS и выключим меню выбора
									//touch('../content/'.$indx.'/zagl');touch('../content/'.$indx.'/zagl1');
								}
							} elseif (is_dir('../content/'.$indx) && $indx!='') {$ZAGL_fillForm=$ZAGL01;$clasButtnRead='disabled';} //если страницы нет физически на сайте заполним форму данными  CMS и выключим меню выбора
							//////////////////
							
							
							
?>

<script> $( document ).ready(function() { 
	if(localStorage.panel==-1){ $('.panel').css({ display:'inline-block' });} else { localStorage.panel=1;}
	
});
function win(par)
{
    var obj=par;
	var mainwin=window.open('../../sg_cm/set/rgb.html','RGB',
	'Width=550, height=500,left=100,top=100,status=no,toolbar=no,menubar=no,scrollbars=yes,resizable=yes'); mainwin.focus();
}

</script>
<?php if (isset($info)) {echo $info;exit;}?>
<br/>
<form  method="post" id="form1" name="form1" action='index.php?ind=<? echo $_GET['ind'];?>'>
	<TABLE class="tabcap howto">
		<tr> <td  class='valtop al ft14'>
			<div style="display:inline; vertical-align:bottom;"  >
				<? echo mb_convert_case($ZAGL0, MB_CASE_UPPER, "UTF-8"); ?>  
			</div>
			
			<?php if (!isset($indx) || $indx==''){?>
				<div style="display:inline" >
					<img src="../sg_images/pencil.png" height="20" width="20" title="Редактировать заголовок" alt="Редактировать заголовок" style="cursor: pointer;" onClick="doMenu2('red'); return false;" onmouseover="x5engine.imTip.Show(this, { text: 'Редактировать заголовок', width: 120} );">
					<span id="red" style="visibility:hidden;  position:absolute"> 
						<input style="vertical-align: middle" name="zagl" type=text size=30 value="<? echo $ZAGL0;?>"> 
						<button class="knob b2"  TYPE="submit" NAME="writezagl"  title="Записать заголовок" VALUE="Записать" style="width:24px" onmouseover="x5engine.imTip.Show(this, { text: 'Записать заголовок', width: 120});">
							OK
						</button>
						<br/>
					</span>
					
				</div>
				<?} else {?>
				<div style="display:inline" >
					<img src="../sg_images/pencil.png" height="20" width="20" title="Редактировать заголовки и мета-теги" alt="Редактировать заголовки и мета-теги" style="cursor: pointer;" 
					onClick="hideBackGr('adminpanel0');doMenu2('red'); return false;"
					onmouseover="x5engine.imTip.Show(this, { text: 'Редактировать заголовки и мета-теги', width: 160});">
					<div id="red" class="tab"  style="visibility:hidden;  position:absolute; padding:12px; margin:10px; z-index:5; background: #F6F6F6 none repeat scroll 0% 0%; width:600px;
					border: 4px double #000;">
						<img src="../../sg_cm/sg_images/imClose.png" title="Закрыть окно" style="position: absolute; right: -16px; top: -16px; cursor: pointer; display: block; width: 24px; height: 24px;" 
						onclick="hideBackGr('adminpanel0');doMenu2('red');return false;">  
						<script><? if (isset($ZAGL01_site)&&isset($ZAGL01)){?>
							function selectSource(){var arr_site=<? echo json_encode($ZAGL01_site);?>; var title_site=<? echo json_encode($title_arr[1]);?>;
								var arr_cms=<? echo json_encode($ZAGL01);?>;var title_cms=<? echo json_encode($ZAGL0);?>;
								var val=$("#selectSourceMeta").val();
								if (val=='from_cms') { $("#zagl").val(title_cms);
									$("#zaglTitle").val(arr_cms[0]);
									$("#zaglH1").val(arr_cms[1]);
									$("#zaglH2").val(arr_cms[2]);
									$("#zaglKW").val(arr_cms[3]);
									$("#zaglDSCR").val(arr_cms[4]);
									$("#zaglMeta").val(arr_cms[5]);
									$("#zaglHead").val(arr_cms[6]);
								}
								else {
									$("#zagl").val(title_site);
									$("#zaglTitle").val(arr_site[0]);
									$("#zaglH1").val(arr_site[1]);
									$("#zaglH2").val(arr_site[2]);
									$("#zaglKW").val(arr_site[3]);
									$("#zaglDSCR").val(arr_site[4]);
									$("#zaglMeta").val("");	
									$("#zaglHead").val("");
								}
							} <?}
							else{?>
							function selectSource(){return false} <?}
							
							for ($x=0; $x<7; $x++) {if (!isset($ZAGL_fillForm[$x])) $ZAGL_fillForm[$x]='';}
						?> 
						</script>
						<div class="<? echo $clasButtnRead;?>"><span  >Какие данные использовать </span> <SELECT 
							onchange="selectSource();";
							id=selectSourceMeta name="selectSourceMeta"  <?echo $clasButtnRead;?> >
								<OPTION  VALUE="from_site">C сайта</OPTION>
								<OPTION  VALUE="from_cms">Из базы данных CMS</OPTION>
							</SELECT> <br/> <br/></div>
							
							Название страницы (только для отображения в админ-панели)<br/> 	
							<input style="width:98%;" name="zagl" id="zagl" type=text  value="<? echo trim($ZAGL_fillForm_title);?>"><br/><br/>
							Заголовок страницы (содержимое тега &lt;title&gt;)<br/>  
							<input style="width:98%;
							style="width:98%;" name="zaglTitle" id="zaglTitle" type=text value="<? echo trim($ZAGL_fillForm[0]);?>"><br/><br/>  
							Заголовок H1 <br/>  
							<input style="width:98%;
							style="width:98%;" name="zaglH1" id="zaglH1" type=text value="<? echo trim($ZAGL_fillForm[1]);?>"><br/><br/> 
							Заголовок H2 <br/>  
							<input style="width:98%;
							style="width:98%;" name="zaglH2" id="zaglH2" type=text value="<? echo trim($ZAGL_fillForm[2]);?>"><br/><br/> 
							Ключевые слова (содержимое мета-тега &lt;keywords&gt;) <br/> 
							<TEXTAREA style="width:98%;
							style="width:98%;"  NAME="zaglKW"  id="zaglKW" rows="2" ><?php echo trim($ZAGL_fillForm[3]); ?></TEXTAREA>
							<br/><br/>
							Описание страницы (содержимое мета-тега &lt;description&gt;) <br/> 
							<TEXTAREA style="width:98%;
							style="width:98%;"  NAME="zaglDSCR" id="zaglDSCR" rows="2" ><?php echo trim($ZAGL_fillForm[4]);?></TEXTAREA>
							<br/><br/>
							Пользовательские мета-теги <br/> 
							<TEXTAREA style="width:98%;
							style="width:98%;"  NAME="zaglMeta" id="zaglMeta" rows="3" ><?php echo trim($ZAGL_fillForm[5]);?></TEXTAREA>
							<br/><br/>
							Код для вставки перед закрывающим тегом head <br/> 
							<TEXTAREA style="width:98%;
							style="width:98%;"  NAME="zaglHead" id="zaglHead" rows="3" ><?php echo trim($ZAGL_fillForm[6]);?></TEXTAREA>
							<br/>
							<button class="tagbtn4"   TYPE="submit" NAME="writezagl"  title="Сохранить" VALUE="Записать">
								Сохранить 
							</button>
							
					</div>
					<img class=panel src="../sg_images/simplicio-016.png" height="20px"  title="Создать страницу" alt="Создать страницу" style="cursor: pointer;" onClick="doMenu2('red2'); return false;"
					onmouseover="x5engine.imTip.Show(this, { text: 'Создать новую страницу', width: 120});">
					<span id="red2" style="visibility:hidden;  position:absolute"> 
						<input style="vertical-align: middle" name="newpage" type=text size=30 value=""
						onmouseover="x5engine.imTip.Show(this, { text: 'Введите имя файла новой страницы', width: 120});"
						>
						<input style="vertical-align: middle;cursor:not-allowed" name="ext" type=text size=1 value=".php"
						disabled >
						<button 
						class="knob b2 "  TYPE="submit" NAME="write_newpage"  title="Создать страницу" VALUE="Создать страницу" style="width:24px"  
						onmouseover="x5engine.imTip.Show(this, { text: 'Подтвердить создание страницы', width: 120});"
						onClick="
						x=document.form1.newpage.value;
						var reg = /^[0-9a-zA-Z_-]+$/;
						var rez = reg.test(x);
						if (  rez == false )
						{
						alert ( 'Имя файла содержит недопустимые символы!' );
						return false;
						}
						else {return confirm('Будет создана новая страница по шаблону текущей. Продолжить?');
						};
						">
							OK
						</button>
						<br/>
					</span>
					
					<?php
						if(strpos($pget,$indx.'.css')===false && $pget!='' )
						{?>
						<button class="knob b2"  TYPE="submit" NAME="del_newpage"  title="Удалить страницу" VALUE="Удалить" onclick="return confirm('Вы хотите удалить эту страницу сайта?')" 
						onmouseover="x5engine.imTip.Show(this, { text: 'Удалить эту страницу сайта', width: 120});">
							<img src="../sg_images/del.png" title="Удалить" alt="Удалить" style="vertical-align: baseline">
						</button>
						
						
					<? }?>								
				</div> 
			<? }?>
		<br/></td>
		<td class="ar">
			<div class=imHidden><a href="../" target="_blank">Просмотр сайта (в новом окне)</a>
				<br/><a href="../../cons">Вход для консультантов</a>
			<br/><a href="/hs_quest/admin/admin4.php?quit=1" target="_parent">Выход </a><br/></div></td></tr>
			
	</TABLE> 
	
	<!--form id="form1" name="form1" method="post" action='index.php?ind=<? echo $_GET['ind'];?>'-->
	<table class="tabcap" >
		<tbody><tr><td id="head"><span <?php echo $hdnblok;?>>:: Редактирование блока <?php echo basename ($_POST["select"], substr(strrchr($_POST["select"], '.'), 0)) ?> ::</span><br/></td></tr>
		</tbody></table>					
		<TABLE class="tab howto" id='hidetab'>
			<TR> 
				<TD <?php echo $hdnblok;?> >
					<br />
					<INPUT NAME="editing" TYPE="hidden" ID="editing"  VALUE="<?php echo $_POST["select"] ?>" />
					Заголовок блока: <BR />
					<input name=zagolovok type=text value='<?php echo trim(strip_tags($textZ)); ?>' size=70><br />
					<BR />
					<div  style = width:701px;>
						Текст блока:&nbsp; &nbsp;
						<?php	if (substr($_POST["select"],0,4)=='Imag') {$hidetmc='class="mceImage"';
						if(is_file('../include/rimage.php')) {include_once('../include/rimage.php');}} 
						if (isset($fx_nr)) echo 'Изображение - '.$fx_nr;
						$red_but_class='redaktor';
						if(strpos($textS,'$gallery_name')!==false && strpos($textS,'imObjectGallery')!==false ) {$red_but_class='imHidden';$nv=4;}
						?>						
						
						<button  style="float:right;" TYPE="button" NAME="selectredactor"  
						<?php if ($nv==4){ ?>
							title="Включить визуальный редактор для этого блока" onmouseover="x5engine.imTip.Show(this, { text: 'Включить визуальный редактор для этого блока', width: 200});"<?php } if ($nv==3){ $red_but_class.='_off'; ?>
						title="Выключить визуальный редактор для этого блока" onmouseover="x5engine.imTip.Show(this, { text: 'Выключить визуальный редактор для этого блока', width: 200});"<?php }?>
						class="<? echo $red_but_class;?>"
						VALUE="&lt;-&gt;" onclick="if (confirm('Внимание! Несохраненные изменения будут потеряны. Хотите продолжить?')) {document.location.href='index.php?ind=<? echo $indx;?>&nv=<? echo $nv;?>&postsel=<? echo $_POST["select"];?>'} else {return false}"><B> </B></button>
						
						
						
						<div style="margin-top:5px;">
							
							<TEXTAREA onload="obj=tinymce.activeEditor.getBody(); var bcolor =localStorage.bcolor; obj.style.backgroundColor = bcolor;"
							<?php echo $hidetmc; ?> NAME="textfield"  rows="20" style = "width:698px;font-size:16px !important; line-height:1.5;"  ><?php echo $textS; ?></TEXTAREA>
							
						</div></div>		
						<BR /> 
						
						
						<button class=tagbtn4  NAME="Submit" TYPE="submit" ID="SubmitS" VALUE="Сохранить" >Сохранить</button>
						</TD><td style=" border-left: 4px double black;">
						<?php $classH="a"; $classH0="imHidden"; $classHF="a";  
							$NBlks=$NFL+$NScript_on_page;
							
							if($NBlks ==0 ) {$classH0="a";  $classHF="imHidden";}
							if ($indx==''){$classH="imHidden";} 
						?>
						<div <?php echo "class=". $classH;?> style="text-align:left;"><? echo '<span>К странице сайта подключено<br/>текстовых блоков:'. count($PBloks_on_page[1]).'</span>'; 
							if (count($PBloks_on_page[1])!=0) {?>
							<span style="cursor:pointer; color:blue;" title='Показать/Скрыть' onclick="doMenu('txtblk'); return false;"> -&gt;&gt; </span>
						<?php } ?><br/>
						<div id=txtblk style="display:none" ><?php echo '<pre>';
							foreach($PBloks_on_page[1] as $i) {echo $i."<br/>";
							}
							
							echo '</pre></div>';
							echo'скриптов:'. count($PScript_on_page);								
						;?>
						</div>
						<div <? echo "class=".$classH0;?> style=text-align:left;>Не создано ни одного блока.</div>
						
						<div class="<? echo $classHF;?> " style="text-align:left;"><BR>								
							<SELECT style="width:200px; height: 24px; vertical-align: bottom; padding=0" NAME="select" onchange="formHandler4();" SIZE="1"> 
								
								<?php  foreach ($FL as $key) {echo "<OPTION  VALUE=".$key; if ($_POST['select']==$key) echo " selected"; echo ">"; if (!is_writable($CPATH.$key)) echo "*"; $FLF = basename ($key,".txt"); 
									$text=file_get_contents($CPATH.$key);$textE = explode('**:***:*:', $text );
									if (count($textE)==1)   // если в файле нет разделителя, вставим его в начало
									{$text = "**:***:*:".$text;
										$textE = explode('**:***:*:', $text );							
									file_put_contents($CPATH.$key,$text);	}
									$substr='';
									if (!isset($textE[1]))$textE[1]=$textE[0];
									if ($textE[0]!='') {$substr=mb_substr($textE[0],0,25,'UTF-8');} 
									elseif (substr(basename($CPATH.$key),0,4)!='Imag') {$strr=strip_tags(substr($textE[1],0,800));$substr=trim(mb_substr(trim($strr),0,25,'UTF-8'));}
									else {preg_match_all("!title=\"([^\"]*?)\"|alt=\"([^\"]*?)\"|text: \'(.*?)\'!u", $textE[1], $zaglstr);
										for ($k=1; $k<4; $k++){
											foreach ($zaglstr[$k] as $key=>$v) {if($v!='') {$substr=$v;break(2);
											}}}
									}
								echo $FLF." - ".$substr."</OPTION>"; } 
								if ($NFL==0 && $NScript_on_page>0 ) echo "<OPTION VALUE=''> Выберите блок &darr;</OPTION>"; 
								?>
								<?php foreach ($PScript_on_page as $key) {$zagl='';if (!is_file ("../../".$key."/admin/db/zagl")) $substr1=''; else {include("../../".$key."/admin/db/zagl");$substr1=mb_substr($zagl,0,25,'UTF-8');$zagl='';$indx=$IndX;}?>
									<OPTION  VALUE="<?php echo $key ?>"><?php echo $key." - ".$substr1; ?>
									</OPTION><?php } ?>
							</SELECT>
							<div id=block_menu>
								<button class=" knob b2"  TYPE="submit" NAME="Submit"  title="Перезагрузить выбранный блок" VALUE="Загрузить" 
								onmouseover="x5engine.imTip.Show(this, { text: 'Перезагрузить выбранный блок', width: 120});"
								<?php echo $hdnblok;?>>
									<img src="../sg_images/refresh.png" title="Перезагрузить выбранный блок" alt="Перезагрузить блок" style="vertical-align: baseline; margin-top:3px; width:18px">
								</button>&nbsp;
								
								<span style="display:inline-block;margin-right:3px;" class="knob b2 panel"   title="Копировать" 
								onmouseover="x5engine.imTip.Show(this, { text: 'Копировать блок', width: 120});" 
								>
									<img id='button_copy' src="../sg_images/edit_copy.png" title="" alt="Копировать" 
									onclick="
									sessionStorage.newblock='<? echo $indx.'/'.$_POST['select'];?>'; 
									var obj= $('[name=SubmitNC]'); 
									if (sessionStorage.newblock!==undefined && sessionStorage.newblock!='')
									{var newblock = sessionStorage.newblock;
									obj[0].value=newblock; 
									obj.css({ opacity: 0.2, cursor:'pointer' });
									obj.animate({opacity: 1}, 1100 ); 
									obj[0].disabled=false;}
									else {obj[0].style.cursor='not-allowed'; } 
									return false; "
									style="vertical-align: baseline; height:20px;margin-top:2px; ">
								</span>
								
								<button style="opacity:0.5;cursor:not-allowed;" disabled class="knob b2 panel"  TYPE="submit" NAME="SubmitNC"  title="Вставить" VALUE="" 
								onmouseover="x5engine.imTip.Show(this, { text: 'Вставить скопированный блок вместо текущего', width: 120});" 
								onclick="
								/*sessionStorage.newblock=''*/; return confirm('Содержимое текущего блока будет заменено. Продолжить?')">
									<img src="../sg_images/paste1.png" title="" alt="Вставить" 
									onload="var obj= $('[name=SubmitNC]');
									if (sessionStorage.newblock!==undefined && sessionStorage.newblock!='')
									{var newblock = sessionStorage.newblock;
									obj[0].value=newblock;obj.css({ opacity: 1, cursor:'pointer' });
									obj[0].disabled=false; }"
									style="vertical-align: baseline; height:20px;margin-top:2px; margin-right:4px;">
								</button>							
								
								<button class="knob b2"  TYPE="submit" NAME="Submit"  title="Удалить блок" VALUE="Удалить" onclick="return confirm('Вы хотите удалить этот блок?')" 
								onmouseover="x5engine.imTip.Show(this, { text: 'Удалить блок', width: 120});" 
								<?php echo $hdnblok;?>>
									<img src="../sg_images/del.png" title="Удалить блок" alt="Удалить блок" style="vertical-align: baseline">
								</button>
								
								<BR />
							</div>
						</div>
						
						<div style="text-align:left; top:20px; position: relative;">
							<button class="tagbtn4"  TYPE="Submit" NAME="SubmitN"  title="Создать новый блок" VALUE="Создать" 
							onmouseover="x5engine.imTip.Show(this, { text: 'Создать новый блок', width: 120});">Создать блок
							</button>
						</div>
						<?php if ($cp!='ck'){?>
							<div style="text-align:left; top:20px; position: relative; width:95%"><br/>
								CSS-код страницы <br/>
								<TEXTAREA style="font-size:12pt !important; line-height:1.5; width:100%;"  NAME="textpagecss"  rows="15" ><?php echo $textpagecss; ?></TEXTAREA><br/>
								<BR /> 
							<button class="tagbtn4" NAME="Submit" TYPE="submit" ID="SubmitS" VALUE="Сохранить" >Сохранить</button></div>
							<?php ;}
							else{?>
							<div style="text-align:left; top:30px; position: relative;width:250px"><p>
								<img _onclick="var panel=localStorage.panel;localStorage.panel=panel*(-1);if(localStorage.panel==-1){ $('.panel').css({ display:'inline-block' });} else{$('.panel').css({ display:'none' });}" style="float: left; margin: 5px 5px 0px 2px;" src="../sg_images/inf.jpg" alt=""/>
								В этом разделе админ-панели можно создать и редактировать блоки для вставки на произвольную страницу сайта. Редактирование CSS стилей доступно в разделе "Настройки".
							</p> 
							<p>
								Как работать с визуальным редактором.<br/>
								<B>Enter</B> - создается новый блок или параграф (абзац);<br/>
								<B>SHIFT+Enter</B> - перевод строки;<br/>
								Чтобы изменить (выбрать) тип <B>блока</B> - войдите в меню <B>"Формат"</B> и выберите тип заголовка ("Заголовки") или тип блока ("Блоки");<br/>
								Для вставки пользовательского HTML кода откройте окно <B>"Исходный код"</B> или отключите визуальный редактор кнопкой <B>"W"</B>
								
							</p> 
							</div>
						<?php ;}?>
						</td>
						</TR><TR><TD <?php echo $hdnblok;?>>
							<?php 
								if (!file_exists($CBACK.$_POST["select"]) || !file_exists($CBACK) || $_POST["select"]=='' || !isset($_POST["select"])) 
								{echo "Резервная копия отсутствует!<BR />"; $dsblr="disabled='disabled'";} 
								if (!is_writable($CBACK) && $dsblr=="") {echo "Папка резервной копии недоступна для записи! <BR />"; $dsblw="disabled";}
							?>
							<BUTTON class=tagbtn4 NAME="Submit" TYPE="submit" ID="SubmitB" VALUE="Backup" <? echo $dsblw;?>>Создать резервную копию   </button>
							<BUTTON class=tagbtn4 NAME="Submit" TYPE="submit" ID="SubmitR" VALUE="Restore" <? echo $dsblr;?>>Восстановить из резервной копии</button>
							<?php if (substr($_POST["select"],0,4)!='Cell'){?>								
								<div style="padding:18px 0 0 0;" class="howto">
									<BUTTON 
									onmouseover="x5engine.imTip.Show(this, { text: 'Коды для подключения блока к сайту\. В том месте сайта\, куда будет вставлен код подключения\, появится содержимое блока', width: 240, position:'top'});" 
									<? echo $dsblw;?> class=tagbtn4 type="button" onClick="doMenu('main'); return false;"> &lt;/&gt; </button><BR/>
									<div id="main" style="display:none;">
										Код для вставки в проект WebsiteX5 на страницу сайта <?php echo '<b>'.$indx.'</b>';?> : <br/>
										<p>Заголовок блока</p>
										<input value="&lt;? bz($<?php echo $cp;?>.'<?php echo $BLname;?>') ?&gt;" onclick="select_all(this)" size=70> 
										<br /><br />
										<p>Текст блока</p>
										<input value="<div class=tmce>&lt;? blocktxt($<?php echo $cp;?>.'<?php echo $BLname;?>') ?&gt; </div>" onclick="select_all(this)" size=70> 
										<br /><br />
										<p>Тект блока без стилей админ-панели (например для блоков, в которых <br />содержатся только скрипты, мета-теги и пр., или же стиль блоков определен в шаблоне сайта<br />)</p>
										<input value="&lt;? blocktxt($<?php echo $cp;?>.'<?php echo $BLname;?>') ?&gt; " onclick="select_all(this)" size=70> 
									</div>
								</div>
							<?php }?>
						</TD><TD></TD></TR> 
			</TABLE></form>
			<br/><br/>
</div>

</body>
</html>
